> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# available slots

After finding the appointment type, we have to find slots available related to that appointment type in the date patient desired or patient will ask for. In case of scheduling Will get the appointment type from appointment type end point and in case of rescheduling we will get it from appointment response which we want to reschedule.

### GET api/v1/ai\_voice/organizations/2140/available\_slots?start\_date=2026-03-11\&end\_date=2026-03-14\&appointment\_type\_id=1

This endpoint retrieves the available slots with appointment type and dates the patient desired to be scheduled.

#### Parameters

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/available_slots?start_date=2025-07-10&end_date=2025-07-15" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/available_slots?start_date=2025-07-10&end_date=2025-07-15", {
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/available_slots?start_date=2025-07-10&end_date=2025-07-15",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/available_slots?start_date=2025-07-10&end_date=2025-07-15")
  request = Net::HTTP::Get.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

#### Response

The response id will be send in available slots and appointment creation api's

* Content-Type: application/json

```json theme={null}
{
    "2026-03-11": [
        "08:30-09:30",
        "09:30-10:30",
        "10:30-11:30",
        "11:00-12:00",
        "12:30-13:30",
        "13:30-14:30",
        "14:30-15:30"
    ]
}
```
